#ifndef SOUNDCONTROL_CLASS_H
#define SOUNDCONTROL_CLASS_H

#include "data_tank.h"

class SoundControl {

 public:
  SoundControl* getObject();
  void setNumberOfChannels(int number_of channels);
  int playMod(char* filename);
  int playWav(char* filename);
  int playOgg(char* filename);
  void volumeUp();
  void volumeDown();
  void trackRewind();
  void forwardMusic();
  void rewindMusic();
  void pauseMusic();
  void resumeMusic();
  void trackSelect();

private:
  void initialise();
  //SoundControl singleton object must be made via getObject()
  SoundControl();
  ~SoundControl()
}

#endif
